Idea:java 不支持发行版本5

在使用Intellij idea构建Maven工程的时候,运行报错Error : java 不支持发行版本5。本文针对该问题提出了几个解决方法。